package com.trade.service.enterprise.customer.domain;

import java.util.Date;

import com.trade.common.core.domain.BaseEntity;

/**
 * 企业相关人员表实体类
 *
 * @author hlb
 * @since 2024-05-29 15:07:42
 */
public class EnterpriseRelatedPerson extends BaseEntity<EnterpriseRelatedPerson> {
    /**
     * 企业变更记录ID
     */
    private Long enterpriseChangeRecordId;
    /**
     * 证件签发国家/地区，枚举：country_code
     */
    private String countryCode;
    /**
     * 证件类型，枚举值：personal_cert_type
     */
    private String personalCertType;
    /**
     * 证件号码
     */
    private String personalCertNo;
    /**
     * 人员姓名
     */
    private String name;
    /**
     * 人员联系电话
     */
    private String mobile;
    /**
     * 人员联系邮箱
     */
    private String email;
    /**
     * 生日
     */
    private Date birthday;
    /**
     * 是否被授权人，默认N，不是被授权人，枚举：sys_yes_no
     */
    private String isAuthorizedPerson;
    /**
     * 是否法人（中国），默认N，不是法人，枚举：sys_yes_no
     */
    private String isLegalPerson;
    /**
     * 是否是董事（香港），默认N，不是董事，枚举：sys_yes_no
     */
    private String isDirector;
    /**
     * 是否最终受益人，默认N，不是最终受益人，枚举：sys_yes_no
     */
    private String isBeneficiary;
    /**
     * 是否财务负责人（中国），默认N，不是财务负责人，枚举：sys_yes_no
     */
    private String isFinancePerson;
    /**
     * 是否为实控人，默认N，枚举：sys_yes_no
     */
    private String isControl;
    /**
     * 人员证件地址
     */
    private String address;
    /**
     * 实际居住地址
     */
    private String liveAddress;
    /**
     * 婚姻状况(0-未婚,1-已婚,2-离异,3-丧偶 )，枚举：marriage_status
     */
    private String marriageStatus;
    /**
     * 授权书签署状态，枚举：sys_sign_status
     */
    private String authorizationFileSigned;
    /**
     * 签署日期
     */
    private Date signDate;
    /**
     * 备注
     */
    private String remark;
    /**
     * 创建时间
     */
    private Date gmtCreate;


    public Long getEnterpriseChangeRecordId() {
        return enterpriseChangeRecordId;
    }

    public void setEnterpriseChangeRecordId(Long enterpriseChangeRecordId) {
        this.enterpriseChangeRecordId = enterpriseChangeRecordId;
    }

    public String getCountryCode() {
        return countryCode;
    }

    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    public String getPersonalCertType() {
        return personalCertType;
    }

    public void setPersonalCertType(String personalCertType) {
        this.personalCertType = personalCertType;
    }

    public String getPersonalCertNo() {
        return personalCertNo;
    }

    public void setPersonalCertNo(String personalCertNo) {
        this.personalCertNo = personalCertNo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public String getIsAuthorizedPerson() {
        return isAuthorizedPerson;
    }

    public void setIsAuthorizedPerson(String isAuthorizedPerson) {
        this.isAuthorizedPerson = isAuthorizedPerson;
    }

    public String getIsLegalPerson() {
        return isLegalPerson;
    }

    public void setIsLegalPerson(String isLegalPerson) {
        this.isLegalPerson = isLegalPerson;
    }

    public String getIsDirector() {
        return isDirector;
    }

    public void setIsDirector(String isDirector) {
        this.isDirector = isDirector;
    }

    public String getIsBeneficiary() {
        return isBeneficiary;
    }

    public void setIsBeneficiary(String isBeneficiary) {
        this.isBeneficiary = isBeneficiary;
    }

    public String getIsFinancePerson() {
        return isFinancePerson;
    }

    public void setIsFinancePerson(String isFinancePerson) {
        this.isFinancePerson = isFinancePerson;
    }

    public String getIsControl() {
        return isControl;
    }

    public void setIsControl(String isControl) {
        this.isControl = isControl;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLiveAddress() {
        return liveAddress;
    }

    public void setLiveAddress(String liveAddress) {
        this.liveAddress = liveAddress;
    }

    public String getMarriageStatus() {
        return marriageStatus;
    }

    public void setMarriageStatus(String marriageStatus) {
        this.marriageStatus = marriageStatus;
    }

    public String getAuthorizationFileSigned() {
        return authorizationFileSigned;
    }

    public void setAuthorizationFileSigned(String authorizationFileSigned) {
        this.authorizationFileSigned = authorizationFileSigned;
    }

    public Date getSignDate() {
        return signDate;
    }

    public void setSignDate(Date signDate) {
        this.signDate = signDate;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

}

